Package Details: vapoursynth-plugin-tcanny-git r12.0.g6a424f8-1

Git Clone URL: https://aur.archlinux.org/vapoursynth-plugin-tcanny-git.git (read-only)
Package Base: vapoursynth-plugin-tcanny-git
Description: Plugin for Vapoursynth: tcanny (GIT version)
Upstream URL: https://forum.doom9.org/showthread.php?t=171136
Keywords: vapoursynth
Licenses: GPL
Conflicts: vapoursynth-plugin-tcanny
Provides: vapoursynth-plugin-tcanny
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 3
Popularity: 0.001846
First Submitted: 2015-05-22 17:00
Last Updated: 2019-06-30 14:02

Latest Comments

3y7cd commented on 2019-06-30 07:39

Hi sir,
arch-meson(it uses buildtype=plain in script) leads this plugin to weird behavior when use cpu and default parameters.
Please update build() function in PKGBUILD to following context(buildtype=release) to solve this problem:
build() {
cd build meson setup \
--prefix /usr \
--libexecdir lib \
--sbindir bin \
--buildtype release \
--auto-features enabled \
--wrap-mode nodownload \
-D b_lto=true \
-D b_pie=true \
"../${_plug}" \
--libdir /usr/lib/vapoursynth

ninja
}

sl1pkn07 commented on 2019-01-25 22:14

done

DeadNews commented on 2018-12-08 16:49

https://github.com/HomeOfVapourSynthEvolution/VapourSynth-TCanny

Replace Autotools with Meson build system

tleydxdy commented on 2017-08-04 14:32

Solved

sl1pkn07 commented on 2017-08-04 04:40

and now?

tleydxdy commented on 2017-08-03 23:38

CXX TCanny/TCannyCL.lo
In file included from /usr/include/boost/compute/config.hpp:16:0,
from /usr/include/boost/compute/buffer.hpp:14,
from /usr/include/boost/compute/core.hpp:18,
from TCanny/TCannyCL.cpp:27:
/usr/include/boost/compute/cl.hpp:17:10: fatal error: CL/cl.h: No such file or directory
#include <CL/cl.h>
^~~~~~~~~
compilation terminated.
make: *** [Makefile:588: TCanny/TCannyCL.lo] Error 1
==> ERROR: A failure occurred in build().
Aborting...
:: boost is now an orphan package
:: failed to build vapoursynth-plugin-tcanny-git package(s)

what's the problem here? maybe it's just my laptop is too old (AMD Radeon HD 6630M+Intel GMA HD 3000)

sl1pkn07 commented on 2017-08-03 17:53

try now

tleydxdy commented on 2017-08-03 17:45

failed when installing(upgrade from r9.12.g6b9a30e-1) using pacaur:
Error message:
TCanny/TCannyCL.cpp:27:10: fatal error: boost/compute/core.hpp: No such file or directory
#include <boost/compute/core.hpp>
^~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
make: *** [Makefile:588: TCanny/TCannyCL.lo] Error 1
==> ERROR: A failure occurred in build().
Aborting...
:: failed to build vapoursynth-plugin-tcanny-git package(s)